@import "vars.css";
@import "media.css";

html {
  box-sizing: border-box;
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

a {
  color: inherit;
  text-decoration: none;
}

ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

h1,
h2,
h3,
h5 {
  margin: 0;
}

p {
  margin: 0;
  padding: 0;
}

button {
  border: none;
  cursor: pointer;
}

input,
textarea,
select,
button {
  touch-action: manipulation;
  text-size-adjust: none;
  font-size: 16px;
  transform: scale(1);
  /* Запобігає збільшенню розміру на iOS */
}

body {
  font-family: "Inter", sans-serif;
  font-weight: 400;
  font-size: 21px;
  font-style: normal;
  color: var(--text-color-black);
  background-color: #b4b4b4;
  margin: 0;
}

.main__wrapper {
  max-width: 480px;
  margin: 0 auto;
  background: var(--main-bg-color);
}

.main__block {
  background-image: url(../img/main-block-bg-2.png);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center bottom;
  width: 100%;
  height: calc(113vw + 100px);
  max-height: 641px;
  padding-top: 0px;
}

.container {
  max-width: 480px;
  margin: 0 auto;
  padding: 0 21.5px;
}

.main__block-top {
  text-align: center;
  padding-top: 55px;
  background-color: transparent;
}

.main__block-text {
  font-weight: 700;
  margin-bottom: 8px;
  font-size: 21px;
}

.main__block-title {
  font-weight: 800;
  font-size: 28px;
  margin-bottom: 5px;
  text-transform: uppercase;
}

.main__block-subtitle {
  font-weight: 800;
  font-size: 24px;
  padding: 6px 18px;
  width: fit-content;
  border-radius: 6px;
  background-color: var(--thematic-color);
  color: var(--text-color-white);
  text-transform: uppercase;
  margin: 0 auto;
}

.main__block-warranty {
  padding: 13px 10px;
  background-color: var(--bg-black-color);
  color: var(--text-color-white);
}

.warranty__inner {
  display: flex;
  justify-content: space-between;
}

.warranty__item {
  margin-right: 16px;
  padding-left: 32px;
  position: relative;
}

.warranty__item.star::before {
  content: "";
  position: absolute;
  width: 24px;
  height: 23px;
  left: 0;
  top: 3px;
  bottom: 0;
  background-image: url(../img/star-green.svg);
  background-repeat: no-repeat;
  background-size: cover;
}

.warranty__item.mark::before {
  content: "";
  position: absolute;
  width: 24px;
  height: 24px;
  left: 0px;
  top: 4px;
  bottom: 0;
  background-image: url(../img/mark.svg);
  background-repeat: no-repeat;
  background-size: cover;
}

.warranty__text {
  font-size: 16px;
  font-weight: 400;
}

.price__box {
  display: flex;
  justify-content: space-around;
  border-bottom: 1px solid var(--border-color);
  align-items: center;
}

.price {
  width: 100%;
  height: 95px;
  font-size: 12px;
  font-weight: 500;
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  border-right: 1px solid var(--border-color);
}

.price p {
  font-size: 16px;
  font-weight: 500;
  margin-bottom: 5px;
}

.price:last-child {
  border-right: none;
}

.old__price span {
  color: var(--disabled-color);
  position: relative;
}

.old__price span::after {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  top: 21px;
  bottom: 0;
  width: 100%;
  height: 2px;
  background-color: var(--disabled-color);
}

.new__price .num {
  color: var(--thematic-color);
}

.new__price .interest {
  font-weight: 700;
  font-size: 13px;
  padding: 2px 5px;
  color: var(--sale-color);
  background-color: var(--bg-black-color);
  border-radius: 4px;
}

.num {
  font-size: 32px;
  font-weight: 700;
  margin: 0 auto;
}

.countdown__timer {
  padding: 16px 0 5px;
  text-align: center;
}

.countdown__title {
  font-weight: 500;
  text-transform: uppercase;
  margin-bottom: 15px;
}

.countdown {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 38px;
  height: 87px;
  margin-bottom: 38px;
}

.time__wrapper {
  display: flex;
  flex-direction: column;
}

.time__wrapper p {
  font-weight: 500;
  font-size: 16px;
  text-transform: uppercase;
}

.time__box {
  display: flex;
  justify-content: center;
  gap: 5px;
  max-width: 76px;
}

.time__box span {
  font-size: 34px;
  border: 1px solid var(--border-color);
  border-radius: 4px;
  padding: 11px 12px;
  color: var(--thematic-color);
  font-weight: 600;
  margin-bottom: 5px;
}

/*----Animation-Btn-----*/
.btn {
  position: relative;
  overflow: hidden;
  box-sizing: border-box;
  font-size: 24px;
  width: -webkit-fill-available;
  padding: 19px 0 19px;
  border-radius: 8px;
  text-decoration: none;
  color: var(--text-color-white);
  background: var(--thematic-color);
  margin-bottom: 31px;
}

.btn::before {
  content: "";
  position: absolute;
  top: 0;
  left: -100%;
  width: 100%;
  height: 100%;
  background: var(--shine-effect);
  filter: blur(20px);
}

.btn-anim::before {
  animation: shine var(--anim-duration) ease-in-out infinite;
}

@keyframes shine {
  0% {
    left: -100%;
  }

  50% {
    left: calc(-100% + 50px);
  }

  100% {
    left: 100%;
  }
}

.counter {
  margin-bottom: 67px;
}

.counter p {
  font-size: 16px;
  font-weight: 500;
}

.counter span {
  padding: 7px 5px;
  font-size: 18px;
  font-weight: 700;
  border-radius: 4px;
  color: var(--text-color-white);
  background-color: var(--thematic-color);
}

.info {
  margin-bottom: 66px;
}

.air {
  background-image: url(../img/parameter-bg-top.png);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center top 46px;
  height: calc(142vw + 34px);
  max-height: 714px;
  background-origin: content-box;
  padding-bottom: 50px;
}

.parameters {
  display: flex;
  justify-content: space-around;
  text-align: center;
  margin-bottom: 55px;
}

.parameter__name {
  font-size: 21px;
  font-weight: 500;
}

.parameter__numbers {
  font-size: 42px;
  font-weight: 700;
  color: var(--thematic-color);
}

.main__title {
  text-transform: uppercase;
  text-align: center;
  font-size: 34px;
  font-weight: 700;
  margin-bottom: 139px;
}

.main__title span {
  font-size: 42px;
  font-weight: 700;
  color: var(--thematic-color);
}

.parameter__list {
  max-width: 244px;
  margin-left: auto;
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.parameter__list-item {
  position: relative;
  padding-left: 29px;
}

.parameter__list-item span {
  color: var(--thematic-color);
  font-weight: 700;
}

.parameter__list-item::before {
  content: "";
  position: absolute;
  left: 0;
  top: 28%;
  transform: translateY(-50%);
  width: 11px;
  height: 11px;
  background-color: #ee38b1;
  border-radius: 50%;
  margin-right: 15.3px;
}

.nozzles {
  background-image: url(../img/parameter-bg-down.png);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center top;
  height: calc(155vw - 54px);
  background-origin: content-box;
  padding-bottom: 33px;
  max-height: 674px;
}

.nozzles .main__title {
  padding-top: 74px;
  margin-bottom: 263px;
}

.nozzles__text {
  margin-bottom: 131px;
  max-width: 293px;
}

.complectation .main__title {
  margin-bottom: 32px;
}

.complectation .btn {
  margin-bottom: 66px;
}

.complectation__img {
  max-width: 436px;
  width: 100%;
  border-radius: 20px;
  margin: 0 auto 43px;
  display: block;
}

.complectation__suptitle {
  font-size: 24px;
  font-weight: 700;
  text-align: center;
  margin-bottom: 37px;
}

.complectation__inner {
  padding-bottom: 32px;
}

.complectation__item {
  display: flex;
  padding: 20px 0 20px;
  border-top: 1px solid var(--border-color);
}

.complectation__item-img {
  width: 127px;
  height: 92px;
  transform: translateX(-24px);
}

.complectation__item-title {
  font-weight: 700;
  margin-bottom: 12px;
}

.video {
  padding-bottom: 20px;
}

.video .main__title {
  margin-bottom: 31px;
}

.video__img {
  border-radius: 12px;
  width: 100%;
}

.play-button {
  position: relative;
  max-width: 437px;
  height: 100%;
  display: block;
}

.play-button:before {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 52px;
  height: 52px;
  background-image: url(../img/play-btn.png);
  background-repeat: no-repeat;
  cursor: pointer;
}

.instruction {
  height: calc(135vw);
  max-height: 648px;
  margin-bottom: 60px;
  background-image: url(../img/instruction-bg.png);
  background-size: cover;
  background-repeat: no-repeat;
}

.instruction .main__title {
  padding-top: 32px;
  margin-bottom: 0;
}

.catalog .main__title {
  margin-bottom: 42px;
}

.product__card {
  max-width: 437px;
  margin-bottom: 37px;
  border: 1px solid var(--border-color);
  border-radius: 8px;
}

.product_card-img {
  display: flex;
  max-width: 100%;
  height: auto;
}

.product_card-title {
  background-color: var(--bg-black-color);
  color: var(--text-color-white);
  font-weight: 600;
  padding: 10px 62px 10px 16px;
  text-align: left;
}

.product__card .btn {
  margin: 21px 16px;
}

.reviews .main__title {
  margin: 66px 0 34px;
}

/*---------slider------*/
.slider {
  width: 100%;
  max-width: 800px;
  margin: 0 auto;
  position: relative;
}

.slide {
  display: flex;
  justify-content: center;
  align-items: flex-end;
  position: relative;
  min-height: 200px;
  border-radius: 4px;
}

.slide img {
  max-width: 100%;
  max-height: 100%;
  object-fit: contain;
  border-radius: 4px;
}

.slider-arrows {
  display: flex;
  justify-content: center;
  margin-top: 12px;
}

.slider-prev,
.slider-next {
  background-color: var(--border-color);
  padding: 15px 15px;
  cursor: pointer;
  border-radius: 4px;
  background-position: center;
  background-size: 10px 15px;
  background-repeat: no-repeat;
  transition: background-color 0.3s ease;
}

.slider-prev {
  margin-right: 10px;
  background-image: url(../img/arrow-left.svg);
}

.slider-next {
  margin-right: 10px;
  background-image: url(../img/arrow-right.svg);
}

.dublicate .main__block {
  background-image: url(../img/dublicate-bg.png);
  background-size: cover;
  background-repeat: no-repeat;
  width: 100%;
  background-position-y: calc(100% - -69px);
  height: calc(143vw);
  max-height: 680px;
}

.dublicate .main__block-top {
  padding-top: 88px;
}

.dublicate__countdown {
  position: relative;
  margin-bottom: 50px;
}

.dublicate__timer {
  position: relative;
  padding: 10px 0 10px;
}

.dublicate__countdown {
  margin-bottom: 105px;
}

.dublicate__counter {
  margin-bottom: 10px;
}

/*------animanation-arrow-down-------*/
.arrows {
  margin: 0 auto;
  top: 50%;
  transform: translateY(-50%);
  width: 23px;
  height: 50px;
  position: absolute;
  left: 50%;
  margin-left: -10px;
  bottom: 10px;
}

.arrows path {
  stroke: var(--thematic-color);
  fill: transparent;
  border-radius: 10px;
  animation: arrow 2s infinite;
  -webkit-animation: arrow 2s infinite;
}

@keyframes arrow {
  0% {
    opacity: 0;
  }

  40% {
    opacity: 1;
  }

  80% {
    opacity: 0;
  }

  100% {
    opacity: 0;
  }
}

@-webkit-keyframes arrow {
  0% {
    opacity: 0;
  }

  40% {
    opacity: 1;
  }

  80% {
    opacity: 0;
  }

  100% {
    opacity: 0;
  }
}

.arrows path.a1 {
  animation-delay: -1s;
  -webkit-animation-delay: -1s;
  transform: translateY(9px);
}

.arrows path.a2 {
  animation-delay: -0.5s;
  -webkit-animation-delay: -0.5s;
  transform: translateY(2px);
}

.arrows path.a3 {
  animation-delay: 0s;
  -webkit-animation-delay: 0s;
  transform: translateY(-5px);
}

.footer {
  background-color: var(--text-color-black);
  color: var(--text-color-white);
  font-size: 16px;
  padding: 30px 0 30px;
  text-align: center;
}

.footer__link-box {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
  margin-bottom: 30px;
}

.footer__link {
  width: fit-content;
  position: relative;
}

.footer__link::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -2px;
  width: 100%;
  height: 1px;
  background-color: var(--text-color-white);
}

.footer__text {
  margin: 0 auto;
  bottom: 0;
}

.policy__subtitle {
  text-align: center !important;
}

.mfp-arrow-left,
.mfp-arrow-right {
  display: block;
}

.slick-slider {
  touch-action: auto;
}

/* Перевизначте стилі Magnific Popup для зумування фото */
.mfp-img {
  cursor: zoom-in;
  max-width: 100%;
  height: auto;
}

/* Задайте стиль для зумування фото в розгорнутому вигляді */
.mfp-img.zoomed-in {
  cursor: zoom-out;
  max-width: none;
  height: auto;
}

/*--------Modal-Window-------*/

.modal {
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.4);
}

.modal-content {
  padding: 0 20px 24px;
  background-color: var(--modal-bg-color);
  top: 50%;
  transform: translateY(-50%);
  margin: 0 auto;
  max-width: 436px;
  border-radius: 12px;
  position: relative;
  overflow-y: auto;
  height: 100%;
  max-height: 803px;
}
.product__card-box {
  padding: 0 17px;
}
.product__card-box .product__card-title {
  background-color: transparent;
  color: var(--text-color-black);
  margin: 10px 0 13px;
  font-weight: 600;
  font-size: 18px;
  padding: 0;
}

.product__card-box .price__box,
.product__card-box .price {
  border: none;
}
.modal__price-box{
  display: flex;
  align-items: baseline;
  gap: 10px;
}
.modal__old-price,
.modal__new-price {
  height: auto;
}
.modal__old-price span,
.modal__new-price span {
  margin-right: 0;
  margin-left: auto;
}
.modal__old-price span {
  font-size: 21px;
  font-weight: 500;
}
.modal__old-price span::after {
  top: 13px;
}
.modal-content .counter {
  text-align: center;
}
.form-group__box {
  margin-bottom: 17px;
}
.form-group {
  max-width: 395px;
  position: relative;
  margin: 0 auto;
}

input:focus {
  outline: none;
}

.form-group input,
.form-group .product {
  width: 100%;
  height: 67px;
  max-height: 67px;
  padding: 16px 8px 16px 60px;
  border-radius: 12px;
  border: 1px solid var(--border-color);
  margin-bottom: 16px;
}

.form-group input::placeholder {
  color: var(--modal-text-color);
}

.form-group-name,
.form-group-tel {
  position: relative;
}

.form-group svg {
  position: absolute;
  left: 21px;
  top: 40%;
  transform: translateY(-50%);
  width: 15px;
  height: 18px;
  z-index: 2;
}

/* Відображаємо модальне вікно при активуванні */
.modal.active {
  display: block;
}

.close {
  color: var(--disabled-color);
  font-size: 28px;
  display: inline-block;
  text-align: right;
  width: 100%;
  cursor: pointer;
  position: absolute;
  left: 0;
  right: 0;
  top: 11px;
  padding-right: 20px;
  z-index: 11;
}

.close:focus {
  color: var(--bg-black-colors);
  text-decoration: none;
  cursor: pointer;
}

select {
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  padding: 15px 17px 15px 60px;
  background-color: #fff;
  border: 1px solid #ccc;
  border-radius: 4px;
  font-size: 16px;
  cursor: pointer;
}

.select__img {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: 21px;
  transition: transform 0.3s ease;
}

.select__img.open {
  transform: rotate(180deg);
}

select.custom-select option,
select .custom-select-2 option {
  background-color: var(--disabled-color);
  color: var(--text-color-white);
  padding: 10px 10px;
  min-width: 328px;
}

.choices.is-focused.is-open {
  border: 1px solid var(--border-color);
  background-color: inherit;
  border-radius: 12px;
}

.choices__item {
  font-size: 16px;
}

.choices__list--dropdown .choices__item--selectable {
  padding: 14px 28px 13px 10px;
  font-size: 16px;
}

.choices--product-2-item-choice-1 {
  font-size: 20px;
}

.choices__inner {
  width: 100%;
  background-color: inherit;
  padding: 7.5px 7.5px 3.75px;
  border: 1px solid var(--border-color);
  background-color: var(--text-color-white);
  border-radius: 12px;
  font-size: 12px;
  overflow: hidden;
}

.choices__list--single {
  display: inline-block;
  padding: 12px 4px 15px 60px;
  width: 100%;
}

.choices__list--dropdown {
  visibility: hidden;
  z-index: 3;
  position: absolute;
  width: 100%;
  background-color: #fff;
  border: 1px solid var(--border-color);
  top: 100%;
  margin-top: -1px;
  border-bottom-left-radius: 12px;
  border-bottom-right-radius: 12px;
  overflow: hidden;
  word-break: break-all;
  will-change: visibility;
}

.choices[data-type*="select-one"] .choices__inner {
  border-top-left-radius: 12px;
  border-top-right-radius: 12px;
  padding: 0;
}

.choices__list--dropdown .choices__list {
  position: relative;
  max-height: 300px;
  background-color: var(--text-color-white);
  color: var(--disabled-color);
  overflow: auto;
  -webkit-overflow-scrolling: touch;
  will-change: scroll-position;
}

.choices[data-type*="select-one"]:after {
  height: 9px;
  width: 15px;
  z-index: 3;
  top: 50%;
  border: none;
  left: 25px;
  background-image: url(../img/arrow-down-grey.svg);
  background-size: cover;
  background-repeat: no-repeat;
}

.choices[data-type*="select-one"] {
  cursor: pointer;
  margin-bottom: 16px;
}

.choices[data-type*="select-one"].is-open:after {
  top: 60%;
  border: none;
  transform: rotate(180deg);
}

.custom-select,
.custom-select-2 {
  position: relative;
  width: 296px;
  background-color: inherit;
  border-radius: 12px;
  cursor: pointer;
}

.selected-option.selected {
  color: black;
}

.selected-option::before {
  position: absolute;
  content: "";
  left: 21px;
  top: 50%;
  transform: translateY(-50%);
  width: 18px;
  height: 18px;
  background-image: url(../img/arrow-down-grey.svg);
}

.selected-option.opened::before {
  right: 21px;
  transform: rotate(180deg) translateY(10px);
  transition: transform 0.3s ease;
}

.modal__text-1 {
  padding-left: 30px;
  position: relative;
  font-size: 16px;
  margin-bottom: 18px;
}

.modal__text-1::before {
  content: "";
  position: absolute;
  left: 6px;
  top: 0;
  bottom: 0;
  width: 16px;
  height: 16px;
  background-image: url(../img/present.png);
  background-repeat: no-repeat;
  background-size: cover;
}

.modal__text-2 {
  padding-left: 30px;
  position: relative;
  font-size: 16px;
  margin-bottom: 34px;
}

.modal__text-2::before {
  content: "";
  position: absolute;
  left: 6px;
  top: 0;
  bottom: 0;
  width: 16px;
  height: 16px;
  background-image: url(../img/tick.png);
  background-repeat: no-repeat;
  background-size: cover;
}

/*-----Thank.html--------*/
.thank {
  text-align: center;
}

.thank__box-top {
  position: relative;
}

.thank__box-top svg {
  position: absolute;
  top: auto;
  bottom: 10px;
}

.thank .main__title {
  padding: 50px 0 23px;
  margin: 0;
}

.thank__text {
  padding-bottom: 113px;
  font-size: 16px;
  font-weight: 500;
}

.unique__discount {
  background-color: var(--thematic-color);
  position: relative;
}

.unique__discount-title {
  margin: 0;
  padding: 21px 0 21px;
  color: var(--text-color-white);
  font-size: 24px;
  font-weight: 700;
  position: relative;
}

.unique__discount-title::before {
  content: "";
  background-image: url("../img/confety.png");
  background-size: cover;
  background-repeat: no-repeat;
  position: absolute;
  width: 30px;
  height: 29px;
  left: 10px;
  top: 23px;
}

.unique__discount-title::after {
  content: "";
  background-image: url("../img/confety.png");
  background-size: cover;
  background-repeat: no-repeat;
  display: inline-block;
  width: 30px;
  height: 29px;
  position: absolute;
  right: 10px;
  top: 23px;
}

.thank__content {
  padding: 25px 0 5px;
  text-align: center;
}

.thank__content .dublicate__countdown {
  margin-bottom: 30px;
}

.unique__products {
  padding: 0 20px 20px;
}

.unique__products .product__card {
  max-height: 668px;
  margin: 0 auto 25px;
}

/*-------Agreement-------*/
.agreement {
  font-size: 16px;
  text-align: left;
  padding: 20px 0;
}

.agreement p {
  margin-bottom: 20px;
}

.agreement .main__title {
  text-align: left;
  margin-bottom: 20px;
}

.agreement .main__title,
.agreement .main__title span {
  font-size: 34px;
}

/*-----description-modal-------*/

.description__wrapper .product__card {
  display: flex;
  border: 1px solid var(--border-color);
  padding: 10px 0 16px;
  margin: 60px 0 32px;
}

.description__wrapper .product__card img {
  height: 122px;
  margin: 0 auto;
}

.no-skroll {
  overflow-y: hidden;
}

.thank__content .product_card-img {
  display: flex;
  max-width: 390px;
  width: 100%;
  height: 1005px;
  max-height: 390px;
  height: auto;
}
